Check&Place API Reference
HomeSimpra POSSimpra InventoryCheck&Place
HomeSimpra POSSimpra InventoryCheck&Place
  1. Table Plan Objects
  • Introduction
  • Anonym Customers
    • create
      POST
    • update
      PATCH
  • Calendars
    • calendar
      GET
  • Customer Types
    • index
      GET
  • Customers
    • create
      POST
    • destroy
      DELETE
    • show
      GET
    • update
      PATCH
    • history
      GET
    • in blacklist
      PATCH
    • index
      POST
    • out blacklist
      PATCH
    • reports
      GET
    • reservations
      POST
    • search
      GET
    • sitting search
      POST
  • Daily Notes
    • daily note
      POST
    • show
      GET
  • Dashboard
    • daily report
    • summary report
    • weekly report
  • Events
    • create
    • index
    • destroy
    • update
  • Health Checks
    • live
  • Off Days
    • calendar
    • create
    • index
    • destroy
    • Update
  • Organizations
    • add_favorite
    • index
    • add_favorite
  • Reasons
    • index
  • References
    • create
    • index
    • show
    • update
  • Reports
    • mobile reports
    • web reports
  • Reservation Notifications
    • create
    • sms
  • Reservation Payments
    • change-status
    • create
    • update
    • reactivate
  • Reservation Requests
    • approve
    • count
    • create
    • history
    • index
    • reject
    • update
  • Reservations
    • batch check out
    • cancel
    • check duplicate
    • check in
    • check out
    • confirm
    • create
    • index
    • delay
    • delayed calendars
    • group by day
    • history
    • rollback
    • show
    • undo check in
    • upcoming reservations
    • update
    • view list
  • Revenue Centers
    • create
    • index
    • destroy
    • show
    • update
    • insert
  • Reviews
    • index
    • show
  • Search
    • Customers
    • Reservations
    • Integration
  • Slots
    • capacities
    • create
    • index
    • destroy
    • update
  • Stores
    • add favorite
    • remove favorite
    • index
    • show
    • update
  • Table Plan Objects
    • create
      POST
    • index
      GET
    • destroy
      DELETE
    • update
      PATCH
    • objects
      GET
  • Tables
    • assign
    • available-capacities
    • available-for-assign
    • discharge
    • index
    • layout
    • next-reservations
    • reservations
    • reset
    • revoke
    • rollback
    • save
    • sitting-reservations
    • split
    • status
  • Tags
    • index
  • Users
    • create
    • index
    • current-user
    • destroy
    • show
    • update
    • user-check
  • Extensions
    • index
  • License
    • index
    • store_license
  • Wallets
    • create
    • destroy
    • index
    • set_default
  1. Table Plan Objects

update

Production
https://api.checkandplace.com
Production
https://api.checkandplace.com
PATCH
/api/v1/table-plan-objects/{id}

Request

Authorization
API Key
Add parameter in header
Authorization
Example:
Authorization: ********************
API Key
Add parameter in header
EMPLOYEE_TOKEN
Example:
EMPLOYEE_TOKEN: ********************
API Key
Add parameter in header
STORE_PIN_CODE
Example:
STORE_PIN_CODE: ********************
API Key
Add parameter in header
SLUG_NAME
Example:
SLUG_NAME: ********************
or
Path Params

Body Params application/json

Examples

Responses

🟢200OK
application/json
successful
Body

Request Request Example
Shell
JavaScript
Java
Swift
curl --location --request PATCH 'https://api.checkandplace.com/api/v1/table-plan-objects/' \
--header 'Authorization: <api-key>' \
--header 'EMPLOYEE_TOKEN: <api-key>' \
--header 'STORE_PIN_CODE: <api-key>' \
--header 'SLUG_NAME: <api-key>' \
--header 'Content-Type: application/json' \
--data-raw '{
    "revenue_center_id": "3b274567-7234-4972-bc6c-e8795c241942",
    "table_plan_object_definition_id": "5dd6ce65-babb-414f-8a4e-c4000671dbb6",
    "plan": {
        "column": 0,
        "height": 0,
        "isCircular": true,
        "row": 0,
        "width": 0
    }
}'
Response Response Example
{
    "table_plan_object": {
        "id": "f77d79f8-ffbd-47d5-9dd1-8291cf046c94",
        "plan": {
            "column": 4,
            "height": 5,
            "isCircular": true,
            "row": 12,
            "width": 4
        },
        "name": "Example name",
        "image_url": "https://example.png"
    }
}
Modified at 2026-03-09 18:33:58
Previous
destroy
Next
objects
Built with